<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:26 GMT 2019 -->
<title>M-Index</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="M-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><a href="../game/Main.html" title="class in game"><span class="typeNameLink">Main</span></a> - Class in <a href="../game/package-summary.html">game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Main.html#Main--">Main()</a></span> - Constructor for class game.<a href="../game/Main.html" title="class in game">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../game/Main.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class game.<a href="../game/Main.html" title="class in game">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#maxDiffIfSold-java.util.ArrayList-board.Property-">maxDiffIfSold(ArrayList&lt;Property&gt;, Property)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>
<div class="block">Max difference check for selling houses/hotels</div>
</dd>
<dt><span class="memberNameLink"><a href="../player/Bank.html#maxdiffs-java.util.ArrayList-board.Property-">maxdiffs(ArrayList&lt;Property&gt;, Property)</a></span> - Method in class player.<a href="../player/Bank.html" title="class in player">Bank</a></dt>
<dd>
<div class="block">Max difference check for buying houses/hotels</div>
</dd>
<dt><a href="../game/Messenger.html" title="class in game"><span class="typeNameLink">Messenger</span></a> - Class in <a href="../game/package-summary.html">game</a></dt>
<dd>
<div class="block">Communicates with the player, this version uses system.out
 as a way of communicating
 This can be changed if you wish by creating a different version of messenger e.g with a GUI</div>
</dd>
<dt><span class="memberNameLink"><a href="../game/Messenger.html#Messenger--">Messenger()</a></span> - Constructor for class game.<a href="../game/Messenger.html" title="class in game">Messenger</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#movePlayer-int-">movePlayer(int)</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../player/Player.html#movePlayer-int:A-">movePlayer(int[])</a></span> - Method in class player.<a href="../player/Player.html" title="class in player">Player</a></dt>
<dd>
<div class="block">Moves a player by the amount in two rolls and records their doubles</div>
</dd>
<dt><span class="memberNameLink"><a href="../cards/Deck.html#moveToBottom-int-">moveToBottom(int)</a></span> - Method in class cards.<a href="../cards/Deck.html" title="class in cards">Deck</a></dt>
<dd>
<div class="block">Puts a card at the bottom of the deck</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
